/* Copyright (c) IBM Corp. 1992 */
 

template < class Element, class Base >
IRSet < Element, Base >::
~IRSet ()
{
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
add (Element const& element)
{ return ivBase.add (element);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
add (Element const& element, ICursor &cursor)
{ return ivBase.add (element, cursor);
}

template < class Element, class Base >
Element const& IRSet < Element, Base >::
elementAt (ICursor const& cursor) const
{ return ivBase.elementAt (cursor);
}

template < class Element, class Base >
Element& IRSet < Element, Base >::
elementAt (ICursor const& cursor)
{ return ivBase.elementAt (cursor);
}

template < class Element, class Base >
Element const& IRSet < Element, Base >::
anyElement () const
{ return ivBase.anyElement ();
}

template < class Element, class Base >
void IRSet < Element, Base >::
removeAt (ICursor const& cursor)
{ ivBase.removeAt (cursor);
}

template < class Element, class Base >
INumber IRSet < Element, Base >::
removeAll (Boolean (*predicate) (Element const&, void*), void* env)
{ return ivBase.removeAll (predicate, env);
}

template < class Element, class Base >
void IRSet < Element, Base >::
replaceAt (ICursor const& cursor, Element const& element)
{ ivBase.replaceAt (cursor, element);
}

template < class Element, class Base >
void IRSet < Element, Base >::
removeAll ()
{ ivBase.removeAll ();
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
isBounded () const
{ return ivBase.isBounded ();
}

template < class Element, class Base >
INumber IRSet < Element, Base >::
maxNumberOfElements () const
{ return ivBase.maxNumberOfElements ();
}

template < class Element, class Base >
INumber IRSet < Element, Base >::
numberOfElements () const
{ return ivBase.numberOfElements ();
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
isEmpty () const
{ return ivBase.isEmpty ();
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
isFull () const
{ return ivBase.isFull ();
}

template < class Element, class Base >
ICursor* IRSet < Element, Base >::
newCursor () const
{ return ivBase.newCursor ();
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
setToFirst (ICursor &cursor) const
{ return ivBase.setToFirst (cursor);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
setToNext (ICursor &cursor) const
{ return ivBase.setToNext (cursor);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
allElementsDo (Boolean (*iterationFunction) (Element &, void*),
               void* environment)
{ return ivBase.allElementsDo (iterationFunction, environment);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
allElementsDo (IIterator <Element>& iterator)
{ return ivBase.allElementsDo (iterator);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
allElementsDo (Boolean (*iterationFunction) (Element const&, void*),
               void* environment) const
{ return ivBase.allElementsDo (iterationFunction, environment);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
allElementsDo (IConstantIterator <Element>& iterator) const
{ return ivBase.allElementsDo (iterator);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
contains (Element const& element) const
{ return ivBase.contains (element);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
locate (Element const& element, ICursor &cursor) const
{ return ivBase.locate (element, cursor);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
locateOrAdd (Element const& element)
{ return ivBase.locateOrAdd (element);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
locateOrAdd (Element const& element, ICursor &cursor)
{ return ivBase.locateOrAdd (element, cursor);
}

template < class Element, class Base >
Boolean IRSet < Element, Base >::
remove (Element const& element)
{ return ivBase.remove (element);
}

